Bug 12820 - Install fails when trying to strip embedspu
Summary: Install fails when trying to strip embedspu
Status: RESOLVED FIXED
Alias: None
Product: binutils
Classification: Unclassified
Component: binutils (show other bugs)
Version: 2.21
: P2 minor
Target Milestone: ---
Assignee: Alan Modra
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-05-28 15:40 UTC by Theorizer
Modified: 2011-05-31 08:55 UTC (History)
1 user (show)

See Also:
Host:
Target:
Build:
Last reconfirmed:


Attachments
install log (1.19 KB, application/x-bzip)
2011-05-28 15:40 UTC, Theorizer
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Theorizer 2011-05-28 15:40:17 UTC
Created attachment 5759 [details]
install log

I failed to install cross-binutils (powerpc on amd64) on FreeBSD 8.2. For this I issued the following command in /usr/ports/devel/cross-binutils/:

make TGTARCH=powerpc TGTABI=eabisim

this built the software successfully. Afterwards I applied the following command to install it

make TGTARCH=powerpc TGTABI=eabisim install

This was almost able to install everything correctly except embedspu. When installing the build system it tries stripping all files including embedspu. This latter is however a script file on which strip (install -s) falls stopping the whole install procedure. The FreeBSD ports simply invokes binutils' build system so this problem is probably not ports related.
Comment 1 cvs-commit@gcc.gnu.org 2011-05-30 06:12:07 UTC
CVSROOT:	/cvs/src
Module name:	src
Changes by:	amodra@sourceware.org	2011-05-30 06:12:03

Modified files:
	binutils       : ChangeLog Makefile.am Makefile.in 

Log message:
	PR binutils/12820
	* Makefile.am (bin_PROGRAMS): Move BUILD_INSTALL_MISC to..
	(bin_SCRIPTS): ..here.
	(EXTRA_SCRIPTS): Define.
	(EXTRA_DIST): Add embedspu.sh.
	(DISTCLEANFILES): Add embedspu.
	(embedspu): Depend on Makefile.  Replace sed "s" command with "c".
	* Makefile.in: Regenerate.

Patches:
http://sourceware.org/cgi-bin/cvsweb.cgi/src/binutils/ChangeLog.diff?cvsroot=src&r1=1.1801&r2=1.1802
http://sourceware.org/cgi-bin/cvsweb.cgi/src/binutils/Makefile.am.diff?cvsroot=src&r1=1.128&r2=1.129
http://sourceware.org/cgi-bin/cvsweb.cgi/src/binutils/Makefile.in.diff?cvsroot=src&r1=1.152&r2=1.153
Comment 2 cvs-commit@gcc.gnu.org 2011-05-30 06:12:36 UTC
CVSROOT:	/cvs/src
Module name:	src
Branch: 	binutils-2_21-branch
Changes by:	amodra@sourceware.org	2011-05-30 06:12:33

Modified files:
	binutils       : ChangeLog Makefile.am Makefile.in 

Log message:
	PR binutils/12820
	* Makefile.am (bin_PROGRAMS): Move BUILD_INSTALL_MISC to..
	(bin_SCRIPTS): ..here.
	(EXTRA_SCRIPTS): Define.
	(EXTRA_DIST): Add embedspu.sh.
	(DISTCLEANFILES): Add embedspu.
	(embedspu): Depend on Makefile.  Replace sed "s" command with "c".
	* Makefile.in: Regenerate.

Patches:
http://sourceware.org/cgi-bin/cvsweb.cgi/src/binutils/ChangeLog.diff?cvsroot=src&only_with_tag=binutils-2_21-branch&r1=1.1708.2.10&r2=1.1708.2.11
http://sourceware.org/cgi-bin/cvsweb.cgi/src/binutils/Makefile.am.diff?cvsroot=src&only_with_tag=binutils-2_21-branch&r1=1.125.2.2&r2=1.125.2.3
http://sourceware.org/cgi-bin/cvsweb.cgi/src/binutils/Makefile.in.diff?cvsroot=src&only_with_tag=binutils-2_21-branch&r1=1.149.2.2&r2=1.149.2.3
Comment 3 Alan Modra 2011-05-30 06:20:59 UTC
Fixed
Comment 4 cvs-commit@gcc.gnu.org 2011-05-31 08:54:50 UTC
CVSROOT:	/cvs/src
Module name:	src
Changes by:	amodra@sourceware.org	2011-05-31 08:54:47

Modified files:
	binutils       : ChangeLog configure.in configure 

Log message:
	PR binutils/12820
	* configure.in (BUILD_INSTALL_MISC): Only add embedspu once.
	* configure: Regenerate.

Patches:
http://sourceware.org/cgi-bin/cvsweb.cgi/src/binutils/ChangeLog.diff?cvsroot=src&r1=1.1802&r2=1.1803
http://sourceware.org/cgi-bin/cvsweb.cgi/src/binutils/configure.in.diff?cvsroot=src&r1=1.102&r2=1.103
http://sourceware.org/cgi-bin/cvsweb.cgi/src/binutils/configure.diff?cvsroot=src&r1=1.138&r2=1.139
Comment 5 cvs-commit@gcc.gnu.org 2011-05-31 08:55:57 UTC
CVSROOT:	/cvs/src
Module name:	src
Branch: 	binutils-2_21-branch
Changes by:	amodra@sourceware.org	2011-05-31 08:55:55

Modified files:
	binutils       : ChangeLog configure.in configure 

Log message:
	PR binutils/12820
	* configure.in (BUILD_INSTALL_MISC): Only add embedspu once.
	* configure: Regenerate.

Patches:
http://sourceware.org/cgi-bin/cvsweb.cgi/src/binutils/ChangeLog.diff?cvsroot=src&only_with_tag=binutils-2_21-branch&r1=1.1708.2.11&r2=1.1708.2.12
http://sourceware.org/cgi-bin/cvsweb.cgi/src/binutils/configure.in.diff?cvsroot=src&only_with_tag=binutils-2_21-branch&r1=1.100&r2=1.100.2.1
http://sourceware.org/cgi-bin/cvsweb.cgi/src/binutils/configure.diff?cvsroot=src&only_with_tag=binutils-2_21-branch&r1=1.135&r2=1.135.2.1